Skip to content
Developer

AttendanceList

Events9 EndpointsEvent / AttendanceList

This method will get all AttendanceList Objects

GET/api/event/attendancelist

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of AttendanceList objectsarray<AttendanceList>

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/attendancelist \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "public_additional_link_text": "Text",
    "public_additional_link_url": "https://vynst.de",
    "force_mail": true,
    "force_phone": true,
    "token": "string",
    "public_link": "string",
    "public_imprint_link": "string"
  }
]

Add a new AttendanceList

POST/api/event/attendancelist

Responses

200Add a new AttendanceListAttendanceList

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/attendancelist \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_additional_link_text": "Text",
  "public_additional_link_url": "https://vynst.de",
  "force_mail": true,
  "force_phone": true,
  "token": "string",
  "public_link": "string",
  "public_imprint_link": "string"
}

Update a AttendanceList

PUT/api/event/attendancelist/{id}

Path parameters

idrequiredstring

Responses

200Update a AttendanceListAttendanceList

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_additional_link_text": "Text",
  "public_additional_link_url": "https://vynst.de",
  "force_mail": true,
  "force_phone": true,
  "token": "string",
  "public_link": "string",
  "public_imprint_link": "string"
}

Update a AttendanceList

PATCH/api/event/attendancelist/{id}

Path parameters

idrequiredstring

Responses

200Update a AttendanceListAttendanceList

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_additional_link_text": "Text",
  "public_additional_link_url": "https://vynst.de",
  "force_mail": true,
  "force_phone": true,
  "token": "string",
  "public_link": "string",
  "public_imprint_link": "string"
}

This method will get a single AttendanceList with the given id or token

GET/api/event/attendancelist/{listIdentifier}

Path parameters

listIdentifierrequiredstring

Responses

200Returns a single AttendanceList with the given id or tokenAttendanceList

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_additional_link_text": "Text",
  "public_additional_link_url": "https://vynst.de",
  "force_mail": true,
  "force_phone": true,
  "token": "string",
  "public_link": "string",
  "public_imprint_link": "string"
}

Add a viewer to a AttendanceList

POST/api/event/attendancelist/{id}/add/viewer

Path parameters

idrequiredstring

Responses

200Add a viewer to a AttendanceListAttendanceList

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/add/viewer \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_additional_link_text": "Text",
  "public_additional_link_url": "https://vynst.de",
  "force_mail": true,
  "force_phone": true,
  "token": "string",
  "public_link": "string",
  "public_imprint_link": "string"
}

Delete a viewer from a AttendanceList

POST/api/event/attendancelist/{id}/delete/viewer

Path parameters

idrequiredstring

Responses

200Delete a viewer from a AttendanceListAttendanceList

Show fields (36)
  • idinteger

    Primary key of the attendance list. Internal ID.

  • tokenstring

    Public token of the attendance list. Used in the public link instead of the ID.

  • namestring

    Name of the attendance list.

  • descriptionstring

    Internal description of the attendance list.

  • public_linkstring

    Public link to the attendance list, for example for an external form.

  • public_imprint_linkstring

    Link to the imprint shown on the public attendance form.

  • public_privacy_linkstring

    Link to the privacy policy shown on the public attendance form.

  • public_additional_link_textstring

    Label of an additional link on the public attendance form.

  • public_additional_link_urlstring

    URL of the additional link on the public attendance form.

  • description_externalstring

    Description shown on the public attendance form.

  • welcome_messagestring

    Message shown before the form is filled in.

  • completed_messagestring

    Message shown after the form is completed.

  • continue_messagestring

    Message shown when the form is continued later.

  • headline_externalstring

    Headline shown on the public attendance form.

  • image_url_externalstring

    URL of the image shown on the public attendance form.

  • form_type_externalstring

    Type of the public form, for example check-in or check-out.

  • ttlinteger

    Time to live of the list in days, after which it is removed.

  • allow_older_datesboolean

    Dates in the past may be entered.

  • archivedboolean

    The attendance list is archived and no longer used.

  • force_addressboolean

    The address must be entered on the public form.

  • force_mailboolean

    The e-mail address must be entered on the public form.

  • force_phoneboolean

    The phone number must be entered on the public form.

  • force_end_dateboolean

    The end date must be entered on the public form.

  • force_start_dateboolean

    The start date must be entered on the public form.

  • crm_companyCRMCompany

    Company the attendance list belongs to.

    Show fields (55)
    • idinteger

      Primary key of the company. Internal ID.

    • short_namestring

      Short name of the company.

    • company_namestring

      Legal name of the company.

    • secondary_namestring

      Second name line of the company.

    • direct_dialstring

      Direct dial number of the company.

    • invoice_emailstring

      E-mail address for invoices.

    • send_invoice_emailboolean

      Send invoices by e-mail.

    • send_invoice_letterboolean

      Send invoices by letter.

    • time_report_emailstring

      E-mail address for time reports.

    • payment_goalPaymentGoal

      Payment term of the company.

    • payment_intervalstring

      Interval of the payments.

    • vatidstring

      VAT identification number.

    • taxnumberstring

      Tax number of the company.

    • buyer_reference_idstring

      Leitweg-ID or custom reference ID defined by the customer

    • taxTax

      Tax rate used for the company.

    • infostring

      Information about the company.

    • numberstring

      Customer or supplier number of the company.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Company number as text, including prefix.

    • is_customerboolean

      The company is a customer.

    • is_supplierboolean

      The company is a supplier.

    • is_otherboolean

      The company is neither customer nor supplier.

    • is_memberboolean

      The company is a member.

    • archivedboolean

      The company is archived.

    • categoryCRMCompanyCategory

      Category of the company.

    • visible_for_customerboolean

      Whether the company is visible to the customer.

    • founding_datestring (date-time)

      Founding date of the company.

    • nace_sectionstring

      NACE section code (letter A-U)

    • nace_codestring

      NACE code (numeric like 01.11, 62.01)

    • search_stringstring

      Text that the entity can be searched by.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • payment_typePaymentType
    • company_employee_countinteger

      Number of employees of the company.

    • company_founding_yearinteger

      Founding year of the company.

    • company_family_ownedboolean

      Whether the company is family-owned.

    • company_sales_volumestring

      Sales volume of the company.

    • company_segmentstring

      Market segment of the company.

  • encrypt_databoolean

    Personal data in the entries is stored encrypted.

  • encrypt_ttlinteger

    ttl in hours

  • encrypt_completed_ttlinteger

    ttl in hours

  • close_ttlinteger

    ttl in hours

  • th_peopleinteger

    Threshold of people in the list for an alert.

  • th_people_recovered_vaccinatedinteger

    Threshold of recovered or vaccinated people for an alert.

  • th_people_not_recovered_vaccinatedinteger

    Threshold of people who are neither recovered nor vaccinated for an alert.

  • test_is_memberboolean

    Test setting: check if persons are members.

  • test_event_bookingboolean

    Test setting: check if persons have an event booking.

  • test_unified_category_idsstring

    Test setting: IDs of the unified categories to check.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/delete/viewer \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_additional_link_text": "Text",
  "public_additional_link_url": "https://vynst.de",
  "force_mail": true,
  "force_phone": true,
  "token": "string",
  "public_link": "string",
  "public_imprint_link": "string"
}

This method will export a single AttendanceList with the given id or token

GET/api/event/attendancelist/{listIdentifier}/export

Path parameters

listIdentifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/export \
  --header 'x-iw-jwt-token: <TOKEN>'

This method will get the list entries for the given list

GET/api/event/attendancelist/{listIdentifier}/entries

Path parameters

listIdentifierrequiredstring

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of AttendanceListEntry objects for the given listarray<AttendanceListEntry>

Show fields (7)
  • idinteger

    Primary key of the attendance list entry. Internal ID.

  • tokenstring

    Public token of the entry. Used instead of the ID.

  • person_countinteger

    Number of persons the entry stands for, for example a family.

  • startstring (date-time)

    Time the participant arrived.

  • endstring (date-time)

    Time the participant left.

  • completedboolean

    The attendance entry is complete.

  • search_stringstring

    Text that the entity can be searched by.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/attendancelist/42/entries \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "token": "string",
    "person_count": 1,
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "completed": true,
    "search_string": "string"
  }
]